HdfsConstants (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: HdfsConstants

Package org.apache.hadoop.hdfs.protocol

# Class HdfsConstants

java.lang.Object
org.apache.hadoop.hdfs.protocol.HdfsConstants

@Private public final class HdfsConstants extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `HdfsConstants.DatanodeReportType`
  `static enum`
  `HdfsConstants.ReencryptAction`
  Re-encrypt encryption zone actions.
  `static enum`
  `HdfsConstants.RollingUpgradeAction`
  `static enum`
  `HdfsConstants.SafeModeAction`
  `static enum`
  `HdfsConstants.StoragePolicy`
  This enum wraps above Storage Policy ID and name.
  `static enum`
  `HdfsConstants.StoragePolicySatisfierMode`
  Storage policy satisfier service modes.
  `static enum`
  `HdfsConstants.UpgradeAction`
  Upgrade actions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ALLNVDIMM_STORAGE_POLICY_ID`
  `static final String`
  `ALLNVDIMM_STORAGE_POLICY_NAME`
  `static final byte`
  `ALLSSD_STORAGE_POLICY_ID`
  `static final String`
  `ALLSSD_STORAGE_POLICY_NAME`
  `static final byte`
  `BLOCK_STORAGE_POLICY_ID_UNSPECIFIED`
  `static final int`
  `BYTES_IN_INTEGER`
  `static final String`
  `CLIENT_NAMENODE_PROTOCOL_NAME`
  HDFS Protocol Names:
  `static final byte`
  `COLD_STORAGE_POLICY_ID`
  `static final String`
  `COLD_STORAGE_POLICY_NAME`
  `static final int`
  `DEFAULT_DATA_SOCKET_SIZE`
  `static final String`
  `DOT_INODES_STRING`
  `static final String`
  `DOT_RESERVED_PATH_PREFIX`
  `static final String`
  `DOT_RESERVED_STRING`
  `static final String`
  `DOT_SNAPSHOT_DIR`
  A special path component contained in the path for a snapshot file/dir
  `static final String`
  `DOT_SNAPSHOT_DIR_SEPARATOR`
  `static final long`
  `GRANDFATHER_GENERATION_STAMP`
  Generation stamp of blocks that pre-date the introduction of a generation stamp.
  `static final long`
  `GRANDFATHER_INODE_ID`
  The inode id validation of lease check will be skipped when the request uses GRANDFATHER_INODE_ID for backward compatibility.
  `static final String`
  `HA_DT_SERVICE_PREFIX`
  A prefix put before the namenode URI inside the "service" field of a delgation token, indicating that the URI is a logical (HA) URI.
  `static final String`
  `HDFS_URI_SCHEME`
  URI Scheme for hdfs://namenode/ URIs.
  `static final byte`
  `HOT_STORAGE_POLICY_ID`
  `static final String`
  `HOT_STORAGE_POLICY_NAME`
  `static final long`
  `LEASE_SOFTLIMIT_PERIOD`
  For a HDFS client to write to a file, a lease is granted; During the lease period, no other client can write to the file.
  `static final byte`
  `MEMORY_STORAGE_POLICY_ID`
  `static final String`
  `MEMORY_STORAGE_POLICY_NAME`
  `static final byte`
  `ONESSD_STORAGE_POLICY_ID`
  `static final String`
  `ONESSD_STORAGE_POLICY_NAME`
  `static final byte`
  `PROVIDED_STORAGE_POLICY_ID`
  `static final String`
  `PROVIDED_STORAGE_POLICY_NAME`
  `static final long`
  `QUOTA_DONT_SET`
  `static final long`
  `QUOTA_RESET`
  `static final int`
  `READ_TIMEOUT`
  `static final int`
  `READ_TIMEOUT_EXTENSION`
  `static final String`
  `ROUTER_ADMIN_PROTOCOL_NAME`
  Router admin Protocol Names.
  `static final String`
  `SAFEMODE_EXCEPTION_CLASS_NAME`
  `static final String`
  `SEPARATOR_DOT_SNAPSHOT_DIR`
  `static final String`
  `SEPARATOR_DOT_SNAPSHOT_DIR_SEPARATOR`
  `static final byte`
  `WARM_STORAGE_POLICY_ID`
  `static final String`
  `WARM_STORAGE_POLICY_NAME`
  `static final int`
  `WRITE_TIMEOUT`
  `static final int`
  `WRITE_TIMEOUT_EXTENSION`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HdfsConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUOTA_DONT_SET

    public static final long QUOTA_DONT_SET
    See Also:
      - Constant Field Values

  - ### QUOTA_RESET

    public static final long QUOTA_RESET
    See Also:
      - Constant Field Values

  - ### BYTES_IN_INTEGER

    public static final int BYTES_IN_INTEGER
    See Also:
      - Constant Field Values

  - ### HDFS_URI_SCHEME

    public static final String HDFS_URI_SCHEME
    URI Scheme for hdfs://namenode/ URIs.
    See Also:
      - Constant Field Values

  - ### MEMORY_STORAGE_POLICY_ID

    public static final byte MEMORY_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### MEMORY_STORAGE_POLICY_NAME

    public static final String MEMORY_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### ALLNVDIMM_STORAGE_POLICY_ID

    public static final byte ALLNVDIMM_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### ALLNVDIMM_STORAGE_POLICY_NAME

    public static final String ALLNVDIMM_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### ALLSSD_STORAGE_POLICY_ID

    public static final byte ALLSSD_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### ALLSSD_STORAGE_POLICY_NAME

    public static final String ALLSSD_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### ONESSD_STORAGE_POLICY_ID

    public static final byte ONESSD_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### ONESSD_STORAGE_POLICY_NAME

    public static final String ONESSD_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### HOT_STORAGE_POLICY_ID

    public static final byte HOT_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### HOT_STORAGE_POLICY_NAME

    public static final String HOT_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### WARM_STORAGE_POLICY_ID

    public static final byte WARM_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### WARM_STORAGE_POLICY_NAME

    public static final String WARM_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### COLD_STORAGE_POLICY_ID

    public static final byte COLD_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### COLD_STORAGE_POLICY_NAME

    public static final String COLD_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### PROVIDED_STORAGE_POLICY_ID

    public static final byte PROVIDED_STORAGE_POLICY_ID
    See Also:
      - Constant Field Values

  - ### PROVIDED_STORAGE_POLICY_NAME

    public static final String PROVIDED_STORAGE_POLICY_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_DATA_SOCKET_SIZE

    public static final int DEFAULT_DATA_SOCKET_SIZE
    See Also:
      - Constant Field Values

  - ### DOT_SNAPSHOT_DIR

    public static final String DOT_SNAPSHOT_DIR
    A special path component contained in the path for a snapshot file/dir
    See Also:
      - Constant Field Values

  - ### SEPARATOR_DOT_SNAPSHOT_DIR

    public static final String SEPARATOR_DOT_SNAPSHOT_DIR
    See Also:
      - Constant Field Values

  - ### DOT_SNAPSHOT_DIR_SEPARATOR

    public static final String DOT_SNAPSHOT_DIR_SEPARATOR
    See Also:
      - Constant Field Values

  - ### SEPARATOR_DOT_SNAPSHOT_DIR_SEPARATOR

    public static final String SEPARATOR_DOT_SNAPSHOT_DIR_SEPARATOR
    See Also:
      - Constant Field Values

  - ### DOT_RESERVED_STRING

    public static final String DOT_RESERVED_STRING
    See Also:
      - Constant Field Values

  - ### DOT_RESERVED_PATH_PREFIX

    public static final String DOT_RESERVED_PATH_PREFIX
    See Also:
      - Constant Field Values

  - ### DOT_INODES_STRING

    public static final String DOT_INODES_STRING
    See Also:
      - Constant Field Values

  - ### GRANDFATHER_GENERATION_STAMP

    public static final long GRANDFATHER_GENERATION_STAMP
    Generation stamp of blocks that pre-date the introduction of a generation stamp.
    See Also:
      - Constant Field Values

  - ### GRANDFATHER_INODE_ID

    public static final long GRANDFATHER_INODE_ID
    The inode id validation of lease check will be skipped when the request uses GRANDFATHER_INODE_ID for backward compatibility.
    See Also:
      - Constant Field Values

  - ### BLOCK_STORAGE_POLICY_ID_UNSPECIFIED

    public static final byte BLOCK_STORAGE_POLICY_ID_UNSPECIFIED
    See Also:
      - Constant Field Values

  - ### HA_DT_SERVICE_PREFIX

    public static final String HA_DT_SERVICE_PREFIX
    A prefix put before the namenode URI inside the "service" field of a delgation token, indicating that the URI is a logical (HA) URI.
    See Also:
      - Constant Field Values

  - ### SAFEMODE_EXCEPTION_CLASS_NAME

    public static final String SAFEMODE_EXCEPTION_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### CLIENT_NAMENODE_PROTOCOL_NAME

    public static final String CLIENT_NAMENODE_PROTOCOL_NAME
    HDFS Protocol Names:
    See Also:
      - Constant Field Values

  - ### ROUTER_ADMIN_PROTOCOL_NAME

    public static final String ROUTER_ADMIN_PROTOCOL_NAME
    Router admin Protocol Names.
    See Also:
      - Constant Field Values

  - ### READ_TIMEOUT

    public static final int READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### READ_TIMEOUT_EXTENSION

    public static final int READ_TIMEOUT_EXTENSION
    See Also:
      - Constant Field Values

  - ### WRITE_TIMEOUT

    public static final int WRITE_TIMEOUT
    See Also:
      - Constant Field Values

  - ### WRITE_TIMEOUT_EXTENSION

    public static final int WRITE_TIMEOUT_EXTENSION
    See Also:
      - Constant Field Values

  - ### LEASE_SOFTLIMIT_PERIOD

    public static final long LEASE_SOFTLIMIT_PERIOD
    For a HDFS client to write to a file, a lease is granted; During the lease period, no other client can write to the file. The writing client can periodically renew the lease. When the file is closed, the lease is revoked. The lease duration is bound by this soft limit and a `HdfsClientConfigKeys.DFS_LEASE_HARDLIMIT_KEY`. Until the soft limit expires, the writer has sole write access to the file. If the soft limit expires and the client fails to close the file or renew the lease, another client can preempt the lease.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HdfsConstants

    protected HdfsConstants()